Create order

Creates an exchange order for the authenticated company. Provide exactly one of assetAmount or againstAmount. The optional priceCode is the code returned by POST /crypto/v2/price-locks.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

Optional idempotency identifier.

string

Optional session identifier.

string
required

User id, numberId, or externalId.

string
required

BUY or SELL.

string
required

Asset being bought or sold.

string
required

Quote asset.

string

Amount in asset units.

string

Amount in quote units.

string

Optional price lock code.

boolean

If true, reject the order when balance is insufficient instead of using company debt.

Headers
string
required

Your Manteca API key.

Responses

400

Invalid request.

404

User or price lock not found.

409

Conflict, such as insufficient funds or invalid user status.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json